/* 「すぐ使えるCMS」テンプレート編集済サンプル */
/* お知らせ更新ツール（アイコンクリック折り畳み式） JavaScript */

var idFmt = new RegExp("e(\\d+)$", "i"); // 記事のid から記事番号を取り出す正規表現
var hideClass = 'hide-onload'; //非表示(display: none)を設定したクラス名
var entryClass = 'sugu-entry'; //記事1件分の一番外側の要素のクラス名

function toggle(TGT, Action){
	if (Action == "show"){
		for (i=0; i<TGT.length; i++){
	 	   document.getElementById(TGT[i]) && document.getElementById(TGT[i]).classList.remove(hideClass);
		}
	} else if (Action == "hide"){
		for (i=0; i<TGT.length; i++){
	 	   document.getElementById(TGT[i]) && document.getElementById(TGT[i]).classList.add(hideClass);
		}
	}
}

function show_target(myURL){
    var indexPound = myURL.lastIndexOf("#");
    if (0 < indexPound && indexPound < myURL.length-1){
        var res = myURL.match(idFmt);
        var myId = RegExp.$1;
        show_body(myId);
    }
}

function show_body(d){
	toggle(['toggle-btn-on-'+d], 'hide');
	toggle(['body-'+d, 'toggle-btn-off-'+d], 'show');
}

function hide_body(d){
	toggle(['toggle-btn-on-'+d], 'show');
	toggle(['body-'+d, 'toggle-btn-off-'+d], 'hide');
}

